EUCA-DETACH-INTERNET-GATEWAY(1)

NAME
euca-detach-internet-gateway - Detach an Internet gateway from a VPC

SYNOPSIS
euca-detach-internet-gateway -c VPC [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID]
    [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] IGATEWAY

DESCRIPTION
Detach an Internet gateway from a VPC

DESCRIPTION
The VPC must contain no running instances with elastic IP addresses.

  positional arguments:

IGATEWAY
    Internet gateway to detach (required)

  optional arguments:

-c VPC, --vpc VPC
    VPC to detach the Internet gateway from (required)

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit